Skip to main content
POST
/
sources
/
bulk-ingest-s3
Bulk Create Sources from S3 URLs
curl --request POST \
  --url https://api-prod.voltai.ai/source/api/sources/bulk-ingest-s3/ \
  --header 'Content-Type: application/json' \
  --cookie sessionid= \
  --data '
{
  "sources": [
    {
      "s3_url": "<string>",
      "topic_paths": [
        [
          "<string>"
        ]
      ],
      "type": "",
      "display_name": "<string>"
    }
  ],
  "force_reupload_existing": false
}
'
{
  "processed_count": 123,
  "created_sources_count": 123,
  "reused_sources_count": 123,
  "error_count": 123,
  "created_topics_count": 123,
  "existing_topics_count": 123,
  "created_sources": [
    "<string>"
  ],
  "reused_sources": [
    "<string>"
  ],
  "errors": [
    {}
  ],
  "filename_topic_paths": {}
}

Authorizations

sessionid
string
cookie
required

Query Parameters

organization_name
string
required

Organization name (required for multi-tenant API keys)

Body

application/json

Request schema for bulk source ingestion from S3 URLs.

sources
object[]
required

List of source ingestion items.

force_reupload_existing
boolean
default:false

When true, re-upload and re-parse even if source already exists.

Response

200 - application/json

Response schema for bulk source ingestion from S3 URLs.

processed_count
integer
required
created_sources_count
integer
required
reused_sources_count
integer
required
error_count
integer
required
created_topics_count
integer
required
existing_topics_count
integer
required
created_sources
string[]
required
reused_sources
string[]
required
errors
object[]
required
filename_topic_paths
object
required